commit 93ca8c7f6ec902e5963f4d0ec12b32cf833de2d0
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 12 10:52:33 2020 +0200

    release 1.24.2

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit a767b7c6cf6d89dbfb6b50cdf1eb9527c03fe1b4
Author: Pablo Barciela <scow@riseup.net>
Date:   Fri Aug 7 21:58:45 2020 +0200

    mate-compiler-flags: add -Wno-unused-parameter to maximum c++ warnings

 macros/mate-compiler-flags.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3d7d43cffa2f1d80ac57963530151c14162504a
Author: Pablo Barciela <scow@riseup.net>
Date:   Wed Apr 8 21:06:48 2020 +0200

    mate-compiler-flags: disable '-Wno-unused' and '-Wno-sign-compare'

 macros/mate-compiler-flags.m4 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5e01591d18c36df8c9ed607734fad24aede7d064
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Jul 2 17:18:23 2020 +0200

    Travis CI: enable irc notifications with tagged commits

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc595e4c06371277e956460808bbab51fe522da0
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Jun 22 21:59:22 2020 +0000

    [ci] fix release tarball on travis CI failed

 .travis.yml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 14c1557e2927484aedc3ddeaeed59760735dacce
Author: Pablo Barciela <scow@riseup.net>
Date:   Sun Apr 19 20:06:10 2020 +0200

    Travis CI: enable irc notifications with broken builds

 .travis.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2c975de9215e8f80236d08b7652d75a63b209e1c
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 5 12:52:46 2020 +0200

    ci: opt in to dpl pre-release with edge= True

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit 50077e85b995d7afd5fd15d00c4d3deb29c120f5
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Fri Apr 3 00:47:56 2020 +0800

    [ci]: change archlinux docker image name

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab2c17a121c90bf465b2274f0c7e2e674bedba83
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Fri Apr 3 00:47:16 2020 +0800

    [ci] Avoid warning for build config validation

 .travis.yml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 1dfab7075dfffa7bf5b86b7849766b788a564235
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Thu Apr 2 23:34:58 2020 +0800

    [ci] fix build error with archlinux on Travis CI

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17547b0ed2444ea71072702eb81a4d5d231cc3fe
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 2 12:43:46 2020 +0200

    release 1.24.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit acfb5dd2e9df2804a37a1a7080fcdc8205506f90
Author: raveit65 <mate@raveit.de>
Date:   Tue Mar 31 17:03:05 2020 +0200

    silent -Wunused-parameter for maximum warning level

 macros/mate-compiler-flags.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 479acdfb59c39270212a64ace58d4503cb77bea6
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Mar 16 02:40:56 2020 +0100

    Travis CI: use Ubuntu 20.04 instead 19.10

 .travis.yml | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5759c0df0483ad386daf04b9d98c3f1e8f342528
Author: raveit65 <mate@raveit.de>
Date:   Sat Feb 22 12:16:32 2020 +0100

    travis: update config for new travis validation

 .build.yml  | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 .travis.yml | 60 +++---------------------------------------------------------
 2 files changed, 58 insertions(+), 57 deletions(-)

commit 95f31a9e59af4d8a99c5662ac96f7c9dc6c6a4cf
Author: raveit65 <mate@raveit.de>
Date:   Fri Feb 7 15:55:15 2020 +0100

    release 1.24.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d9392e3b544905009dbb19283a4c853419ff250d
Author: raveit65 <mate@raveit.de>
Date:   Sat Nov 23 23:19:22 2019 +0100

    travis ci: use fedora:latest

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57951628f1a4fc34865fcd59e6340b733f606be9
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Oct 10 15:24:13 2019 +0200

    Travis CI: use Debian "testing" instead "sid"

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d794e158da533458403446a179cd3a1c1de2f41
Author: raveit65 <mate@raveit.de>
Date:   Sat Oct 5 20:39:38 2019 +0200

    travis(ci): enable notify_servers

 .travis.yml | 2 ++
 1 file changed, 2 insertions(+)

commit a369c982db549210a6b664db58f6af1fe1d8b558
Author: raveit65 <mate@raveit.de>
Date:   Mon Sep 30 18:51:30 2019 +0200

    release 1.23.3

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 357c8b673cc8e910470c96225391f874252c5be6
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Sep 28 11:28:18 2019 +0200

    update MATE_CXX_WARNINGS macro
    - add more compiler flags
    - remove this constraint: "Only use compiler warnings for gcc"
    - remove the ansi flag (c++98 iso standard)
    - Use autoconf archive macros (AX_)

 macros/mate-compiler-flags.m4 | 108 ++++++++++++++++++++++--------------------
 1 file changed, 57 insertions(+), 51 deletions(-)

commit aeaf55dd03ce5e1751bd2c1722ac76e8564364f7
Author: raveit65 <mate@raveit.de>
Date:   Sat Sep 28 09:54:00 2019 +0200

    release 1.23.2

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 95d8bca1eb7ac8c846d826afa3dfa5589b729287
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Sep 27 17:16:50 2019 +0200

    Set compiler debug flags in MATE_DEBUG_CHECK

 macros/mate-common.m4 | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

commit 3e9287e6c4f720de9ef9cc1789d19419e6311145
Author: raveit65 <mate@raveit.de>
Date:   Thu Sep 26 21:56:46 2019 +0200

    release 1.23.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 422eccd6634b4ce6d3b44ae1786c1b8b074142dc
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Sep 26 21:05:41 2019 +0200

    Check if AX_APPEND_FLAG and AX_CHECK_COMPILE_FLAG are available
    
    Print the error message "You need to install the autoconf-archive
    package." if autoconf archive macros are not available on the
    system.

 macros/mate-compiler-flags.m4 | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 9e9184b8264f68c19796ee991e5e393979e6d80e
Author: raveit65 <mate@raveit.de>
Date:   Thu Sep 26 15:13:12 2019 +0200

    release 1.23.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d404d8b45c48c912ce80d683d4406018779b52d3
Author: raveit65 <mate@raveit.de>
Date:   Sun Sep 15 12:01:43 2019 +0200

    update mate-compiler-flags macro
    
    - add more compiler flags
    - remove this constraint: "Only use compiler warnings for gcc"
    - remove the ansi flag (c89 iso standard)
    - Use autoconf archive macros (AX_)

 macros/mate-compiler-flags.m4 | 71 +++++++++++++------------------------------
 1 file changed, 21 insertions(+), 50 deletions(-)

commit e0dbf11e1b5793263bb36a92985dc8ca0e8688e1
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri May 31 13:49:02 2019 +0100

    Create FUNDING.yml

 .github/FUNDING.yml | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8a7c22dee7d9878443446e9c00392d4b63b9ac65
Author: raveit65 <mate@raveit.de>
Date:   Mon May 20 17:52:53 2019 +0200

    travis: use fedora 30 and ubuntu-19.10

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d30af12f6cf7a1d3f65987c84bcc07a89c54444c
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Feb 18 16:38:06 2019 +0800

    auto release when push tag to github

 .travis.yml | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit b7c1fc69e285f0a6c6a9b496cb5a9cae7c79cf66
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 8 11:56:10 2019 +0100

    travis: fix distcheck for fedora

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit a264d823d0e7d1a9088c8c054e9018d6f0c28ccf
Author: raveit65 <mate@raveit.de>
Date:   Sat Feb 23 10:46:53 2019 +0100

    release 1.22.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a89eceeb07eae9d4e261b1b70146109b26239c09
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Sat Feb 16 23:39:54 2019 +0800

    initial travis ci

 .travis.yml | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit 712ee5909cd71deec6784fe376643616e9ddb80b
Author: raveit65 <mate@raveit.de>
Date:   Sat Feb 9 21:27:37 2019 +0100

    release 1.21.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9ba6fa2b88c60fe3526d1149fb8b03bb8337afdc
Author: raveit65 <mate@raveit.de>
Date:   Fri Jan 26 14:45:56 2018 +0100

    release 1.20

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1c47565c246188959b3e6d258bf0915636bd885b
Author: raveit65 <mate@raveit.de>
Date:   Sat Oct 14 07:37:58 2017 +0200

    release 1.19.0

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit afe649c30f9fe953654c042235d50da0b4126a01
Author: raveit65 <mate@raveit.de>
Date:   Tue Jul 18 15:06:47 2017 +0200

    update issue_template

 .github/issue_template.md | 3 +++
 1 file changed, 3 insertions(+)

commit 7cbe5d247b02db07031ec16b04ba4565395a4752
Author: raveit65 <mate@raveit.de>
Date:   Thu Jun 8 18:54:44 2017 +0200

    create issue_template.md

 .github/issue_template.md | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 07b32132b379d7a8db7e30a665e8bc335d939e26
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 30 17:11:51 2017 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit a3b042ab8a340ef8e1a9741ccf7e26d5873e274a
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 12:11:08 2017 +0100

    release 1.18

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 030cd68f04120fc979ee6abe226c0d590b1b5a2c
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 12 14:08:41 2017 +0300

    update NEWS for 1.18

 NEWS | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 882d573105cf9f5fa776d234ad7606ad7688f46e
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 13 16:13:03 2017 +0000

    Update mate-common NEWS to use consistent, project wide, markdown-like formatting. This will make generating release announcements easier.

 NEWS | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 0527be3a0c86cb35d735e75807b867773a2ae6db
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Nov 20 21:17:05 2016 +0100

    release 1.17.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 03a2e245cf57c2ab0cd0d759726b37c287859a09
Author: monsta <monsta@inbox.ru>
Date:   Sat Sep 17 20:36:19 2016 +0300

    update NEWS for 1.16

 NEWS | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit 0cbb9c88dc747d8521be9e452b21b15bfdd98196
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Sep 17 07:43:12 2016 +0200

    release 1.16.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2739d3f28240b5c106480889edfff87bd3a155c3
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Sep 8 16:56:03 2016 +0100

    Bump version to 1.15.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit bf70a9a2a65a04595e32cb0bd88ec9ebe885734d
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Aug 19 09:03:24 2016 +0100

    mate-autogen: Check only for autoreconf
    
    autoconf, automake, libtool, gettext are already checked by autoreconf. Closes #19.
    
    Adapted from https://git.gnome.org/browse/gnome-common/commit/macros2/gnome-autogen.sh?id=17f56a49964a3ddabf0d166326989033b7d84764

 macros/mate-autogen | 65 ++++++-----------------------------------------------
 1 file changed, 7 insertions(+), 58 deletions(-)

commit 0fd519e90c7c8c26b1b38d87736bebfab6064bd9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 11:52:26 2016 +0200

    release 1.15.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 5e12c555f1a98082646812f1783e7263d32df136
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 09:32:05 2016 +0200

    release 1.14 release

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ff592094c5ad0c1c10828420c0014bfa7261ac02
Author: monsta <monsta@inbox.ru>
Date:   Mon Apr 4 17:11:27 2016 +0300

    correct NEWS a bit

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a76e3dda97c6683cdbd4f3181c3d5f799467fa03
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 24 02:57:20 2016 +0100

    release 1.13.0

 AUTHORS                       |   3 +
 COPYING                       | 674 ++++++++++++++++++++++++++++++++++++++++++
 ChangeLog                     |   2 +
 Makefile.am                   |  17 ++
 NEWS                          |  21 ++
 README                        |  36 +++
 autogen.sh                    |  18 ++
 configure.ac                  |  24 ++
 doc-build/Makefile.am         |  12 +
 doc-build/README              |   9 +
 doc-build/mate-doc-common.in  |  49 +++
 doc-build/omf.make            |  65 ++++
 doc-build/xmldocs.make        | 101 +++++++
 doc/Makefile.am               |   6 +
 doc/autogen.sh.example        |  19 ++
 doc/mate-autogen.1            |  22 ++
 doc/mate-autogen.txt          |  14 +
 doc/mate-doc-common.1         |  41 +++
 doc/mate-doc-common.txt       |  24 ++
 doc/update-manpages.sh        |  23 ++
 doc/usage.txt                 |  25 ++
 macros/Makefile.am            |  13 +
 macros/mate-autogen           | 493 ++++++++++++++++++++++++++++++
 macros/mate-code-coverage.m4  | 165 +++++++++++
 macros/mate-common.m4         |  64 ++++
 macros/mate-compiler-flags.m4 | 158 ++++++++++
 26 files changed, 2098 insertions(+)
